Debian-news is about one simple thing - news about Debian GNU/Linux and the top free distributions based on Debian GNU/Linux.


 

What you can do for "Lenny"

You probably noticed by now, that Debian GNU/Linux 5.0 aka “Lenny” hasn't been released in September. Well, that's a shame, but very easy to explain: Too many release critical bugs
Hi!

You probably noticed by now, that Debian GNU/Linux 5.0 aka “Lenny” hasn't
been released in September. Well, that's a shame, but very easy to
explain: Too many release critical bugs[1].

1: http://bts.turmzimmer.net/graph-large.png

Well, our release team coordinated several transitions, took care of
release goals, but it's pretty hard to estimate, how fast RC bugs will be
fixed, and apparently they were a bit to optimistic :(

The big question is: What can you do, to help release “Lenny” at least in
this quarter? That's pretty easy: Fix rc-bugs, take care, that the fixed
packages are migrated to “Lenny”, do upgrade tests, document problems in
the release-notes. Pretty simple, isn't it?

For users (or better: For everyone)
=========

Even as a “simple user” (aren't we all just users?) you may help getting
“Lenny” released. Some things you can do:

* If you are running stable (aka “Etch”), you could consider
upgrading to “Lenny” and see, if everything works fine. Currently there
are no detailed release notes documenting the procedure, so you best
way to test upgrades are to:

1. Make backups
2. Change your /etc/apt/sources.list
3. Run aptitude update to get information about new packages
4. Run aptitude install dpkg aptitude apt to install the newest package
management
5. Run aptitude full-upgrade

If something goes wrong / something unexpected happens, please report
it. If you already know a specific package, report a bug against that
package. If you don't know, please report a bug describing the problem
you experienced to the upgrade-reports package. If your problem is
something, which can't be fixed properly, but should be documented
(e.g. hardware support regressions, packages no longer available)
please report a bug against the release-notes package (Bonus points if
you not only report the bug, but also supply a paragraph to be added to
the release notes).

* Speaking of the release notes[2]: You can take a look at the bugs reported
against the release notes and see if you can help there, e.g. by
writing a paragraph describing a problem.

2: http://bugs.debian.org/release-notes

* Install the package devscripts[3] (you'll need the version provided by
backports.org[4], and run the script rc-alert –include-dists TU. You'll
get a list of release critical bugs open for one of the packages you
have installed. Guessing that you have them installed, because you are
using them and are interested in them, you should have a very high
interest to get this bugs fixed :)

3: http://packages.debian.org/devscripts
4: http://www.backports.org/

You can try to help, by trying to reproduce them and reporting that to
the bug report. There are even some easy bugs, where the maintainer
hasn't found the time, yet to fix it. Bug 497290[5] for example didn't
need deep technical skills. It just needed someone with some time to
collect the needed data for the copyright file.

5: http://bugs.debian.org/497290

* If you speak a language other than English, you might consider joining
the translation efforts. While it is to late to translate the
debian-installer or the installation guide to a new language for
“Lenny” (perhaps for the next release then?), you could start
translating the release notes to a not yet supported language. If you
are willing to do so (which can be quite time consuming, especially in
the final phase), please contact either your localization team[6] or the
debian doc mailing list[7] if there's no local mailing list.

6: http://lists.debian.org/i18n.html
7: http://lists.debian.org/debian-doc/

See? Even as a “simple user” without deeper technical knowledge you can
help us getting “Lenny” in shape to be released. If you have technical
knowledge: Very good! You might want to read the next section, too, and
see what applies to you, there :)

For maintainers (Or: For everyone with some more experience)
===============

It basically boils down to two things: If your packages have RC bugs open
in “Lenny” fix them and take care, that the fix will propagate to
“Lenny”. If your packages don't have RC bugs open, fix someone else's RC
bug. Surely you don't think, the release team will fix the remaining rc
bugs, do you? And surely you understand, that your shiny rc bug free
packages are kind of useless, if they aren't released?

To search for bugs to be fixed, take a look at the unofficial rc bugs
thingy[8]. The URL lists RC bugs open in both “Sid” and “Lenny”. Obviously
they should be fixed ASAP. If no one takes care about these packages,
they might be removed from “Lenny” (if possible).

8: http://bts.turmzimmer.net/details.php?bydist=both&sortby=packages&fullcomment=on

Again: Try to reproduce the bug, try fix it, upload an NMU (or send your
patch to the bug report and search for an sponsor). You'll notice, that
some of these bugs already have a patch. In that case, your job would be
to test the patch, report that to the bug report and offer to sponsor an
NMU.

Another interesting list is the list of rc bugs open only in “Lenny”[9].
These bugs have been fixed, but the fix hasn't propagated to “Lenny”,
yet. Normally, the release team will grant freeze exceptions for these
packages if possible. However, if the changes to the fixed version are
quite grave or the package in “Sid” depends on a newer package than in
“Lenny” that's not possible. In these cases look out for packages marked
as “need tpu upload” or similar.

9: http://bts.turmzimmer.net/details.php?bydist=lenny-only&sortby=packages&fullcomment=on

Oh, and if you could refrain from upload new upstream versions of
packages to “Sid”, you would make all our lives easier. Some reasons:

* New packages won't reach “Lenny” anyway.
* Upload new packages to “Sid” makes it harder to get a fix into “Lenny”
should a new bug be found.
* Uploading a new package makes it harder for other packages depending
on your package to be migrated to “Lenny”.
* You are wasting the buildd's time.

And of course you should spend your time fixing rc bugs anyway ;)

Best regards,
Alexander “To send out release announcements I do everything” Reichle-Schmehl

No Response to “What you can do for "Lenny"” »

No comments yet.

RSS feed for comments on this post. TrackBack URI

Leave a comment

Leave a Reply

Your email address will not be published. Required fields are marked *


*

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Debian-News is not related to the Debian Project.
All logos and trademarks on this site are property of their respective owners.